!-----------------------------------------------------------------------
!  PSGHEC -- CROSS SECTION OF C+6 + HE --> C+5 + HE+ OR C+6 + HE+
!    I.E. SUM OF CROSS SECTIONS OF IONIZATION OF HE BY C+6 IMPURITY
!    IMPACT, EITHER BY CHARGE EXCHANGE OR BY IMPACT IONIZATION
!
real(fp) FUNCTION psghec8(ZE)
!
! INPUT
!  ZE -- COLLISION ENERGY **PER NUCLEON**  EV/AMU
!
! OUTPUT
!  PSGHEC -- CROSS SECTION, CM**2
!
! REFERENCE
!  ORNL-6090/V5, ATOMIC DATA FOR FUSION, VOLUME V,
!    "COLLISIONS OF CARBON AND OXYGEN IONS WITH ELECTRONS, H, H2, & He"
!    R.A. PHANEUF, R.K. JANEV, M.S. PINDZOLA
!
!============
! idecl:  explicitize implicit REAL declarations:
  use iso_c_binding, only: fp => c_double
  IMPLICIT NONE
  real(fp) ze,zcx,psghecx8,zii,psgheci8
!============
  ZCX=psghecx8(ZE)
  ZII=psgheci8(ZE)
!
  psghec8=ZCX+ZII
!
  RETURN
END FUNCTION psghec8
! 21Jun2001 fgtok -s r8_precision.sub foo.tab "r8con.csh conversion"
